#ifndef SAVEDIALOG_H
#define SAVEDIALOG_H

#include <QDialog>
#include <QtWidgets>

class SaveDialog : public QDialog
{
    Q_OBJECT
private:
    QTableWidget* _tblWidget;

public:
    SaveDialog(QWidget* = 0);
public slots:

    void sltSetSizes(int p_rCt, int p_cCt) const;
    void sltSetContents(int p_row, int p_column, QTableWidgetItem *p_item);

private:

    void closeEvent(QCloseEvent *event);
};

#endif // SAVEDIALOG_H